<!--
 * @Description: In User Settings Edit
 * @Author: your name
 * @Date: 2019-09-29 16:08:14
 * @LastEditTime: 2019-09-29 18:00:10
 * @LastEditors: Please set LastEditors
 -->
<template>
  <div>
    <div>
      <div class="serch row item-center allAlignment" v-if="noShow">
        <!-- <div class="row center all pointer hover br05 fz14" style="float: left;width: 50px;" @click="ResultMatch()">
          <span style="font-size:.14rem;color:#ccc;">赛果</span>
        </div>
        <div class="row center all pointer hover br05 fz14" style="width: 70px;" @click="RuleMatch()">
          <span style="font-size:.14rem;color:#ccc;">游戏规则</span>
        </div> -->
        <div class="row item-center">
          <div class="row center all pointer hover br05 fz14" style="margin-right: 0.2rem;" @click="elasticFrame()">
            <span style="font-size:.14rem;color:#ccc;">选择联赛</span>
          </div>
          <div class="row item-center" style="width: 220px;">
            <input
              class="fz14"
              type="text"
              placeholder="请输入球队名称"
              v-model="serchTxt"
              onkeyup="this.value=this.value.replace(/\s+/g,'')"
              color="#AAA"
            >
            <div class="row center serch-img pointer hover" @click="Serch()">
              <img src="@/assets/st-imges/serch.png" alt>
            </div>
          </div>
        </div>
          <div class="row item-center">
            <div class="row center clear pointer hover br05 fz14" @click="clearSerchTxt()">清除</div>
            <div class="row center redraw pointer hover br05"  @click="red()">
              <img src="@/assets/st-imges/redraw.png" alt>
            </div>
          </div>
      </div>
      
      <!-- 日期 -->
      <div v-if="(this.$store.getters.getActivity == 'StMorningPlate'||this.$store.getters.getActivity == 'StStringScene')"  style="height: .6rem;">
        <div class="date row item-center">
          <div class="row datebox pdg20">
            <p @click="dateActive(item.id)"  class="datebox_p" :class="dateClick == item.id?'dateShow':''" v-for="(item,index) in date" :key="index">{{item.title}}</p>
          </div>
        </div>
      </div>



      <div class="theBallSize">
        <div class="theBallSize-list" v-for="(item,index) in data" :key="index">
          <div class="theBallSize-list-title row allAlignment item-center pdg20">
            <span>{{item.leagueName}}</span>
          </div>
          <!-- 标题栏 -->
          <div v-for="(items,i) in item.matchData" :key="i">
            <div class="theBallSize-list-hader row pdg20">
              <div style="width:26%" class="row item-center allAlignment">
                <p style="width:100%;padding-right:.3rem;">
                  <i>{{items.match_date}}</i>
                  <br>
                  <span style="color:#F76649">{{items.match_time}}</span>
                  <img style="width:.14rem;height:.14rem" src="@/assets/st-imges/shizhong.png">
                </p>
                <p
                  style="font-size:.14rem;color:#fff"
                  class="theBallSize-list-hader-num row center triangle"
                  @click="getTournamentPlay(items.match_id)"
                >{{items.tag}} ></p>
              </div>
              <div style="width:35%" class="theBallSize-list-full">
                <div class="row center">全场</div>
                <div class="row allAlignment item-center" style="color:#999; padding:0 0.6rem">
                  <div class="row center list-left">
                    <span>让球</span>
                  </div>
                  <div class="row center list-right">
                    <span>大小</span>
                  </div>
                </div>
              </div>
              <div style="width:35%" class="theBallSize-list-full">
                <div class="row center">上半场</div>
                <div class="row allAlignment item-center pdg20" style="color:#999;padding:0 0.6rem">
                  <div class="row center list-left">
                    <span>让球</span>
                  </div>
                  <div class="row center list-right">
                    <span>大小</span>
                  </div>
                </div>
              </div>
            </div>
            <div class="theBallSize-list-body row pdg20" style="position: relative;">
              <div class="column allAlignment theBallSizeTeam">
                <span>{{items.home_team}}</span>
                <span>{{items.guest_team}}</span>
              </div>
              <!-- 全场 -->
              <div
                class="row allAlignment"
                style="width:35%;padding: 0.08rem 0;border-right:.01rem solid #ededed;position: relative;"
              >
                <!--让球 -->
                <div class="column allAlignment">
                  <div
                    class="row center theball rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'coh'"
                  >
                    <div class="row center conditions">
                      <span>{{e.condition}}</span>
                    </div>
                    <div v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,items.home_team,'让球')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>

                  <div
                    class="row center theball rightAlignment guest"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'cog'"
                  >
                    <div class="row center conditions">
                      <span>{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,items.guest_team,'让球')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                </div>
                <!-- 大小 -->
                <div class="column allAlignment">
                  <div
                    class="row center size rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'gsb'"
                  >
                    <div class="conditions row center">
                      <span>大{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,'大','进球:大小')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                  <div
                    class="row center size guest rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'gss'"
                  >
                    <div class="conditions row center">
                      <span>小{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,'小','进球:大小')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                </div>
              </div>
              <!--半场 -->
              <div
                class="row allAlignment"
                style="width:35%;padding: 0.08rem 0;position: relative;"
              >
                <!--让球 -->
                <div class="column allAlignment">
                  <div
                    class="row center theball rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'coh_h'"
                  >
                    <div class="row center conditions">
                      <span>{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,items.home_team,'让球-上半场')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                  <div
                    class="row center theball rightAlignment guest"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'cog_h'"
                  >
                    <div class="row center conditions">
                      <span>{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,items.guest_team,'让球-上半场')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                </div>
                <!-- 大小 -->
                <div class="column allAlignment">
                  <div
                    class="row center size rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'gsb_h'"
                  >
                    <div class="conditions row center">
                      <span>大{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,'大','进球:大小-上半场')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>
                  <div
                    class="row center size guest rightAlignment"
                    v-for="(e,idx) in items.oddsData"
                    v-if="e.odds_code == 'gss_h'"
                  >
                    <div class="conditions row center">
                      <span>小{{e.condition}}</span>
                    </div>
                    <div
                      v-if="e.odds > 0"
                      class="theBallSize-list-txt"
                      @click="selection(index,i,idx,e.id,e.p_code,items.match_id,items.home_team,items.guest_team,'小','进球:大小-上半场')"
                      :class="e.isTrue ? 'col' : ''"
                    >
                      <span>{{e.odds}}</span>
                    </div>
                    <div v-else class="theBallSize-list-txt">
                        <img style="vertical-align: middle" src="@/assets/st-imges/mima.png"/>
                    </div>
                  </div>  
                </div>
              </div>
              <div @click="promptInfo()" class="right-img">
                <img style="margin-bottom:.1rem" src="@/assets/st-imges/TheGame.png">
                <br>
                <img style="vertical-align: middle" src="@/assets/st-imges/TheScore.png">
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div v-if="noData">
      <noData/>
    </div>     
  </div>
</template>

<script>
import "@/css/index.css";
import noData from '@/components/noData';
import publicComponents from '@/components/publicComponents';
export default {
  name: "theBallSize",
  components:{
    noData
  },     
  data() {
    return {
      // date: [{ id: "today", title: "今日" }],
      // pCode: this.$store.getters.getPaly_code, //传入接口的值
      activity: this.$store.getters.getActivity,
      // ballCode: this.$store.getters.getBallCode,
      data: [], //数据
      dataList:'',//临时数据
      lg_id:'',//联赛                                 
      serchTxt: "",
      timers:true,
      noData : false, //暂无数据显示
      noShow : false, //无数据时隐藏头部
      limit : '',
      passLimit : '',
      // date: [{ id: "all", title: "全部" }],//日期
      date: [], // 日期，取消了全部
      dateClick:'',//激活的日期
    };
  },
  methods: {
    /*******************直播比赛数据提示*******************/
    promptInfo(){
      this.$dialog.alert({mes: '此功能暂未开放'});
    },
    /*----------------------------------------------*/
    //获取赛事数据
    getAJAX(lg_id,search) {  
      let match_date;
      if(this.$store.getters.getActivity == 'StStringScene'){
        this.$store.dispatch("SET_BETTINGTYPE", 2);
      }else{
        this.$store.dispatch("SET_BETTINGTYPE", 1);
      }

      
      if(this.$store.getters.getActivity == 'StSoon' || this.$store.getters.getActivity == 'StToday' ){
        match_date = '';
      }else{
        match_date = this.dateClick;
      }
      this.$http
        .get(this.$ports.home.gameList, {
          type: this.$store.getters.getActivity,
          p_code: this.$store.getters.getPaly_code,
          game_code: this.$store.getters.getBallCode,
          match_date, 
          lg_id,                                        
          search
        })
        .then(res => {
          // console.log('数据',res.data.data[0]);
          if(res.data.data.length > 0  && res.data.status == 1){
            this.noData = false;
            //数据匹配判断是否上一次有数据
            if(this.dataList.length){
              this.$public.oddsDataUpdate(res.data.data[0],this.dataList,1)
            }
            this.data = res.data.data[0];
           //publicComponents.methods.pro( this.data,this.$store.getters.getActivity)
            let betting = '';
            //临时储存数据
            this.dataList = JSON.stringify(res.data.data[0]);
            this.$store.dispatch("SET_LEAGUECHOOSE", res.data.data[1]);
            if(this.$store.getters.getActivity == 'StStringScene'){
              betting = this.$store.getters.getPassBetting;
              this.dataGroupMore(this.data,betting)
            }else{
              betting = this.$store.getters.getBetting;
              this.dataGroupOne(this.data,betting)
            }
            // this.dataGroupMore();
          }else{
            this.noData = true;
            this.data =[];
          }
          this.noShow= true;
          // console.log('什么鬼。。。。。')
          this.$store.dispatch("GETLOADING", false);
        });
    },
    // 进入添加选中效果
    dataGroupOne(data,betting){ // 单串选中
      if(betting != null && betting.length > 0){
        data.forEach(e =>{
          e.matchData.forEach(k =>{
            k.oddsData.forEach(item =>{
              betting.forEach(i =>{
                i.data.forEach(j =>{
                  if(j.id == item.id){
                    item.isTrue = true
                  }
                })
              })
            })
          })
        })
      }
    },
    dataGroupMore(data,betting){ // 串场选中
      if(betting != null && betting.length > 0){
        data.forEach(e =>{
          e.matchData.forEach(k =>{
            k.oddsData.forEach(item =>{
              betting.forEach(i =>{
                i.data.forEach(j =>{
                  if(j.id == item.id){
                    item.isTrue = true
                  }
                })
              })
            })
          })
        })
      }
    },
    // 选中
    selection(idx,i,index,id,p_code,match_id,homeName,guestName,name,playName) {
      //调用投注公共方法
      let _this = this;
      let ballId = this.$store.getters.getBallCode;      
      let acty =  this.$store.getters.getActivity;
      let teamName = {
        home : homeName,
        guest : guestName
      }
     // 串场和单串
        if(this.$store.getters.getActivity == 'StStringScene'){ // 串场
          let betting = this.$store.getters.getPassBetting;
          if(betting == null){
            betting = [];
          }
          this.$public.strandPublicBetting(this.data,p_code,id,idx,i,index,betting,acty,match_id,playName,name,ballId,homeName,guestName,this.passLimit,function(data,type){
            if(type){
              _this.$dialog.toast({ mes: "亲，超出表格上限啦。", timeout: 2000 }); 
            }
            _this.$store.dispatch("SET_PASSBETTING",[]);
            _this.$store.dispatch("SET_PASSBETTING",data);
          })          
        }else{
          let betting = this.$store.getters.getBetting
          this.$public.publicBetting(this.data,p_code,id,idx,i,index,betting,acty,match_id,teamName,playName,name,ballId,this.limit,function(data,type){
            if(type){
              _this.$dialog.toast({ mes: "亲，超出表格上限啦。", timeout: 2000 }); 
            }
            _this.$store.dispatch("SET_BETTING",[]);
            _this.$store.dispatch("SET_BETTING",data);
          })
        }
        if(this.limit < 10){
        this.data[idx].matchData.forEach((val,i) =>{
          val.oddsData.forEach(item =>{
          if(this.$store.getters.getActivity == 'StStringScene'){
            if(this.passLimit < 10){
            if(val.match_id == match_id){
              // 当isTrue值为true时，点击时置为false
              if(item.id == id){
                //console.log(item.isTrue)
                if(item.isTrue == true){
                  this.$forceUpdate();
                    item.isTrue = false
                }else if(item.isTrue = false){
                  this.$forceUpdate();
                  item.isTrue = true
                }else{
                  this.$forceUpdate();
                  this.$set(item, "isTrue", item.isTrue ? false : true);
                }
              }else{
              if(item.isTrue == true){
                  item.isTrue = false;
                }
              }
            }
            }else{
              if(item.id == id){
                this.$forceUpdate();
                this.$set(item,'isTrue',false)
              }
            }
          }else{
            if(item.id == id){
              this.$forceUpdate();
              this.$set(item, "isTrue", item.isTrue ? false : true);
            }
          }
          })
        })
        }else{
          this.data[idx].matchData.forEach(val =>{
            val.oddsData.forEach(item =>{
              if(item.id == id){
                this.$set(item,'isTrue',false)
              }
            })
          })
        }
    },
    //   let BallCode = this.$store.getters.getBallCode;
    //   let code =  10011;//默认足球
    //   if(BallCode == 'lq'){
    //     code = 10012;
    //   }else if(BallCode == 'bq'){
    //     code = 10013;
    //   }else if(BallCode == 'wq'){
    //     code = 10014;
    //  }
    /*------------------------------------------------*/
    //路由到赛事详情页面s
    getTournamentPlay(match_id) {
      this.$store.dispatch("MACTH_ID", match_id);
      this.$store.dispatch("SET_CONTROLROUTING", 10010);
    },

    /*------------------------------------------------*/
    //搜索按钮被点击
    Serch() {                                
      // if (this.serchTxt === "") {
      //   this.$dialog.toast({ mes: "请输入您想要搜索的内容。", timeout: 2000 });
      //   return false;
      // } else {
        this.$store.dispatch("SET_LEAGUEDATA",[]);   
        this.data= [];
        this.getAJAX('',this.serchTxt)                 
      // }
    },

    /*------------------------------------------------*/
    // 删除搜索框内容
    clearSerchTxt() {
      if (this.serchTxt != "") {
        this.serchTxt = "";
        this.$store.dispatch("SET_LEAGUEDATA",[]);  
        this.data= [];
        this.getAJAX();
      }
    },
    /*------------------------------------------------*/
    // 刷新
    red() {
      this.serchTxt = "";
      this.lg_id ="";                                        //需要
      this.$store.dispatch("SET_LEAGUEDATA",[]); 
      if (this.serchTxt.length > 0) {
        this.Serch();
      } else {
        this.data= [];
        this.getAJAX();
      }
    },

    /*------------------------------------------------*/
    //跳转到联赛选择页
    elasticFrame() {
      this.$store.dispatch("SET_CONTROLROUTING", 10015);
    },

    /*------------------------------------------------*/
    // 日期计算
    fun_date() {
      let date = new Date();
      let MonthNum = 0;
      let lastMonth = new Date(date.getFullYear(),date.getMonth() + 1,0).getDate();
      for (let i = 1; i < 8; i++) {
        let years = date.getFullYear();
        let month = date.getMonth() + 1;
        let day = date.getDate() + i < 10 ? "0" + (date.getDate() + i) : date.getDate() + i;
        if (date.getDate() + i > lastMonth) {
          MonthNum++;
          month = date.getMonth() + 2;
          day = "0" + MonthNum;
        }
        let time = {};
        time.id = years + "-" + month + "-" + day;
        time.title =years+' - '+month + " - " + day;
        this.date.push(time);
      }
      this.date.push({id:'other',title:'其他'})
      this.dateClick = this.date[0].id // 默认为当前日期
      // if(this.$store.getters.getActivity === 'StMorningPlate') {
      //   this.dateClick = this.date[0].id // 默认为当前日期   
      // } else {
      //   this.dateClick = ''
      // }
      // console.log(this.dateClick);
    },

    /*------------------------------------------------*/
    //切换日期
    dateActive(str){
      // this.serchTxt = "";
      this.dateClick = str;
      this.data= [];
      this.getAJAX(this.lg_id,this.serchTxt);  //需要
    },

  },
  /**
   * 页面挂载之前触发
   */
  created(){
    this.fun_date();
  },

  mounted() {
    //获取选择的联赛id
    if(this.$store.getters.getLeagueData.length >0 ){
      if(this.$store.getters.getLeagueData.length == 1){
        this.lg_id = this.$store.getters.getLeagueData[0]
      }else{
        this.lg_id = this.$store.getters.getLeagueData.join(',');
      }
    }
    this.$store.dispatch("GETLOADING", true);    
    this.getAJAX(this.lg_id);
    this.$store.dispatch("SET_BETTING",[]);
    let _this = this
    this.$public.ajaxTimerFun((timing)=>{
      if(_this.timers){
        _this.getAJAX(_this.lg_id,_this.serchTxt);          
      }else{
        clearInterval(timing)
      }
    })
  },
  beforeDestroy() {
    this.timers = false;
  },
  computed: {
    getActy() {
      return this.$store.getters.getActivity;
    },
    // getPaly_code() {
    //   return this.$store.getters.getPaly_code;
    // },
    // getBallId() {
    //   return this.$store.getters.getBallCode;
    // },
    // 获取投注数量
    getLimit() {
      return this.$store.getters.getLimit;
    },

    //获取投注框删除的投注信息
    getDeleteType() {
      return this.$store.getters.getDeleteType;
    },
    //获取选择的联赛数据
    // getLeagueData(){
    //   return this.$store.getters.getLeagueData;
    // },
    // 过去串式投注数量
    getPassLimit(){
      return this.$store.getters.getPassLimit;
    }   
  },
  watch: {
    getActy(val) {
      this.activity = val;
      //  this.data = '';
      this.$store.dispatch("SET_LEAGUEDATA",[]);
      this.getAJAX();
      this.$store.dispatch("SET_BETTING",[]);//设置默认值
      if(val != 'StStringScene'){
        this.$store.dispatch("SET_PASSBETTING",[]);
      }    

    },
    //监听玩法代码
    // getPaly_code(val) {
    //   this.pCode = val;
    //   ///this.getAJAX();            
    // },
    // //监听球类代码
    // getBallId(val) {
    //   this.ballCode = val;
    //   //this.getAJAX();              
    // },
     getLimit(val){
       this.limit = val;
       if(this.$store.getters.getActivity == 'StStringScene'){
       }else{
        if(val == 0){
          this.data.forEach(e =>{
            e.matchData.forEach(k =>{
              k.oddsData.forEach(item =>{
                if(item.isTrue){
                  item.isTrue = false;
                }
              })
            })
          })
        }
       }
    }, 
    getPassLimit(val){
      this.passLimit = val;
      if(this.$store.getters.getActivity == 'StStringScene'){
        if(val == 0){
          this.data.forEach(e =>{
            e.matchData.forEach(k =>{
              k.oddsData.forEach(item =>{
                if(item.isTrue){
                  this.$forceUpdate();
                  item.isTrue = false;
                }
              })
            })
          })
        }
      }
    },           
    getDeleteType(val){
      let jumpOut = false;
      for(var i = 0; i < this.data.length; i++){
        for(var k = 0; k < this.data[i].matchData.length; k++){
          for(var j = 0; j < this.data[i].matchData[k].oddsData.length;j++){
              if(this.data[i].matchData[k].oddsData[j].id == val){
                this.$forceUpdate();
                this.data[i].matchData[k].oddsData[j].isTrue = false;
                jumpOut = true;
                break;
              }
          }
          if(jumpOut == true){
            break;
          }
        }
          if(jumpOut == true){
            break;
          }        
      }
    },
    // getLeagueData(val){
    //   console.log('val',val)
    //   if(val){

    //   }
    // }
  }
};
</script>

<style scoped>


.pdg20 {
  padding: 0 0.2rem;
}
.theBallSize {
  position: relative;
}


.theBallSize-list-title {
  width: 100%;
  height: 0.4rem;
  background: #ccc;
  font-size: 0.16rem;
}
.theBallSize-list-title img {
  width: 0.22rem;
  height: 0.22rem;
  margin-left: 0.2rem;
}
.theBallSize-list-hader {
  min-height: 0.5rem;
  background: #e5e5e5;
  font-size: 0.14rem;
}
.theBallSize-list-hader-num {
  width: 0.8rem;
  height: 0.5rem;
  background: #bbb;
}
.theBallSize-list-hader-num::after {
  border-width: 0.05rem;
  border-left-color: #e5e5e5;
  border-top-color: #e5e5e5;
  left: 40%;
  bottom: -0.05rem;
  transform: rotate(45deg);
}
.theBallSize-list-full div {
  height: 50%;
  line-height: 100%;
}
.theBallSize-list-body {
  background: #fcfcfc;
  font-size: 0.14rem;
  border-bottom: 1px solid #e5e5e5;
}
.theBallSize-list-body:hover {
  background: #fff5e9;
}
.theBallSizeTeam {
  width: 26%;
  padding: 0.1rem 0;
  min-height: 0.9rem;
  flex-wrap: wrap;
}
.theBallSize-list-box {
  padding: 0.1rem 0.08rem;
}
.theBallSize-list-box div {
  height: 0.3rem;
  line-height: 0.3rem;
}
.theBallSize-list-box span {
  display: inline-block;
  width: 0.7rem;
}
.theBallSize-list-txt {
  width: 0.48rem !important;
  height: 0.3rem;
  text-align: center;
  line-height: 0.3rem;
  background: #fcfcfc;
  border-radius: 0.05rem;
  border: 0.01rem solid #eee;
  cursor: pointer;
}
.theBallSize-list-txt:hover {
  background: #ddd;
  color: #f76649;
}
.conditions {
  color: #f76649;
  margin-right: .1rem;
}

.serch {
  width: 100%;
  height: 0.5rem;
  background: #aaa;
  padding: 0 0.2rem;
}
input {
  border: none;
  background: #efefef;
  padding-left: 0.2rem;
  width: 4.6rem;
  height: 0.3rem;
  border-radius: 0.05rem 0 0 0.05rem;
}
.serch-img {
  width: 0.5rem;
  height: 0.3rem;
  background: #666;
  border-radius: 0 0.05rem 0.05rem 0;
  margin-right: 0.3rem;
}
.all {
  width: 1.2rem;
  height: 0.3rem;
  background: #666;
  /* background: #ddd;
  color: #333; */
}
.clear {
  width: 0.6rem;
  height: 0.3rem;
  background: #666;
  color: #ccc;
  margin-right: 0.1rem;
}
.redraw {
  width: 0.3rem;
  height: 0.3rem;
  background: #666;
}
img {
  width: 0.2rem;
  height: 0.2rem;
}
.br05 {
  border-radius: 0.05rem;
}
.fz14 {
  font-size: 0.14rem;
}
.hover:hover {
  background: #bbb;
  color: #fff!important;
}
.hover:hover span{
   color: #fff!important;
}
.pointer {
  cursor: pointer;
}
.col {
  border-radius: 2px;
  background: #f76649;
  color: #fff;
}
.theball {
  position: absolute;
  left: 0%;
  top: 8%;
  width: 1rem;
}
.guest {
  top: 60%;
}
.size {
  position: absolute;
  left: 50%;
  width: 1.2rem;
}
.right-img {
  width: 0.15rem;
  position: absolute;
  right: 0.3rem;
  bottom: 0.15rem;
}
.right-img img {
  width: 0.22rem;
  height: 0.2rem;
}



/* 日期样式 */
.date {
  width: 100%;
  background: #898989;
  font-size: .16rem;
  color: #fff;
  font-weight: bold;
  overflow: hidden;
  overflow-x: auto;
  white-space: nowrap;
}

.datebox_p{
  width: 1.4rem;
  text-align: center;
  line-height: .4rem;
  padding: 0 .05rem;
  cursor: pointer;
  font-size: .16rem;
  display: inline-block;
}
.dateShow{
  color: #f76649;
}
</style>